<?php
/*
Plugin Name: rp-comment-hilite
Version: 1.0
Plugin URI: http://rebelpixel.com/projects/rp-comment-hilite/
Description: Plugin for highlighting noteworthy comments.
Author: Markku Seguerra
Author URI: http://rebelpixel.com/
*/
function rp_is_comment_hilite()
{
    global $post, $post_meta_cache, $comment;

    if (isset($post_meta_cache[$post->ID]['comment-hilite'][0])  && strlen($post_meta_cache[$post->ID]['comment-hilite'][0]) > 0) {
        $n = trim($post_meta_cache[$post->ID]['comment-hilite'][0]);
        $n = explode(',', $n);
        $i = 0;

        for ($i=0; $i < count($n); $i++) {
            $n[$i] = trim($n[$i]);
            $n[$i] = intval($n[$i]);
        }
        if (in_array($comment->comment_ID, $n)) {
            return true;
        } else {
            return false;
        }
    } else {
        return false;
    }
}

?>